org.apache.maven.project.interpolation

## Interface ModelInterpolator

All Known Implementing Classes:
  AbstractStringBasedModelInterpolator, ReflectionConfigurationInterpolator, RegexBasedModelInterpolator, StringSearchModelInterpolator

    public interface ModelInterpolator

Author:
  jdcasey

  Created on Feb 2, 2005

### Field Summary

Fields
`static java.lang.String` `BUILD_TIMESTAMP_FORMAT_PROPERTY`
`static java.lang.String` `DEFAULT_BUILD_TIMESTAMP_FORMAT`
`static java.lang.String` `ROLE`

### Method Summary

Methods
`Model` `interpolate(Model model, java.io.File projectDir, ProjectBuilderConfiguration config, boolean debugEnabled)`
`Model` `interpolate(Model project, java.util.Map<java.lang.String,?> context)` Deprecated. Use `interpolate(Model, File, ProjectBuilderConfiguration, boolean)` instead.
`Model` `interpolate(Model model, java.util.Map<java.lang.String,?> context, boolean strict)` Deprecated. Use `interpolate(Model, File, ProjectBuilderConfiguration, boolean)` instead.
`java.lang.String` `interpolate(java.lang.String src, Model model, java.io.File projectDir, ProjectBuilderConfiguration config, boolean debugEnabled)`

### Field Detail

#### DEFAULT_BUILD_TIMESTAMP_FORMAT

    static final java.lang.String DEFAULT_BUILD_TIMESTAMP_FORMAT

See Also:
  Constant Field Values

#### BUILD_TIMESTAMP_FORMAT_PROPERTY

    static final java.lang.String BUILD_TIMESTAMP_FORMAT_PROPERTY

See Also:
  Constant Field Values

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### interpolate

    Model interpolate(Model project,
                    java.util.Map<java.lang.String,?> context)
                      throws ModelInterpolationException

Deprecated. Use `interpolate(Model, File, ProjectBuilderConfiguration, boolean)` instead.

Throws:
  `ModelInterpolationException`

#### interpolate

    Model interpolate(Model model,
                    java.util.Map<java.lang.String,?> context,
                    boolean strict)
                      throws ModelInterpolationException

Deprecated. Use `interpolate(Model, File, ProjectBuilderConfiguration, boolean)` instead.

Throws:
  `ModelInterpolationException`

#### interpolate

    Model interpolate(Model model,
                    java.io.File projectDir,
                    ProjectBuilderConfiguration config,
                    boolean debugEnabled)
                      throws ModelInterpolationException

Throws:
  `ModelInterpolationException`

#### interpolate

    java.lang.String interpolate(java.lang.String src,
                               Model model,
                               java.io.File projectDir,
                               ProjectBuilderConfiguration config,
                               boolean debugEnabled)
                                 throws ModelInterpolationException

Throws:
  `ModelInterpolationException`